{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "example.tex\n",
      "基础考.tex\n",
      "月考01.tex\n",
      "测验01.tex\n",
      "测验02.tex\n",
      "测验03.tex\n",
      "测验04.tex\n",
      "测验05.tex\n",
      "测验06.tex\n",
      "测验07.tex\n",
      "测验08.tex\n",
      "测验09.tex\n",
      "测验10.tex\n",
      "测验11.tex\n",
      "测验12.tex\n",
      "测验13.tex\n",
      "线上测验01.tex\n",
      "周末卷01.tex\n",
      "周末卷02.tex\n",
      "周末卷03.tex\n",
      "周末卷03_暂未使用.tex\n",
      "周末卷04.tex\n",
      "周末卷05.tex\n",
      "周末卷06.tex\n",
      "周末卷07.tex\n",
      "周末卷08.tex\n",
      "周末卷09.tex\n",
      "周末卷10.tex\n",
      "周末卷11.tex\n",
      "周末卷12.tex\n",
      "周末卷13.tex\n",
      "周末卷14.tex\n",
      "国庆卷.tex\n",
      "01_集合.tex\n",
      "02_常用逻辑用语.tex\n",
      "03_等式与不等式的性质及证明.tex\n",
      "04_方程与不等式的求解.tex\n",
      "05_幂指数与对数.tex\n",
      "06_幂指对函数.tex\n",
      "07_函数的概念与奇偶性.tex\n",
      "08_函数的单调性.tex\n",
      "09_函数的零点与最值.tex\n",
      "10_有关函数的应用问题.tex\n",
      "11_三角比的定义及直接性质.tex\n",
      "12_和差倍角公式.tex\n",
      "13_解三角形.tex\n",
      "14_正弦函数及正弦型函数.tex\n",
      "15_周期性与其他三角函数.tex\n",
      "16_平面向量的概念及线性运算.tex\n",
      "17_平面向量的投影及数量积.tex\n",
      "18_复数的代数运算与性质.tex\n",
      "19_复数的几何意义与实系数二次方程.tex\n",
      "20_描述空间位置关系的公理.tex\n",
      "21_空间直线与平面的位置关系.tex\n",
      "22_空间平面与平面的位置关系.tex\n",
      "23_多面体及旋转体的概念与性质.tex\n",
      "24_体积及表面积的计算.tex\n",
      "25_概率的概念及性质.tex\n",
      "26_大数定律及独立性.tex\n",
      "27_统计初步中的术语.tex\n",
      "28_导数的概念及常用公式.tex\n",
      "29_导数的应用.tex\n",
      "30_等差数列与等比数列.tex\n",
      "31_数列的递推与通项及数学归纳法.tex\n",
      "32_空间向量的概念与性质及立体几何中的证明问题.tex\n",
      "33_立体几何中的定量计算.tex\n",
      "34_直线及其方程.tex\n",
      "35_圆及曲线方程.tex\n",
      "36_椭圆与双曲线的概念及性质.tex\n",
      "37_抛物线的概念及性质.tex\n",
      "38_计数原理与排列组合.tex\n",
      "39_二项式定理.tex\n",
      "example.tex\n",
      "赋能01.tex\n",
      "赋能02.tex\n",
      "赋能03.tex\n",
      "赋能04.tex\n",
      "赋能05.tex\n",
      "赋能06.tex\n",
      "赋能07.tex\n",
      "赋能08.tex\n",
      "赋能09.tex\n",
      "赋能10.tex\n",
      "赋能11.tex\n",
      "赋能12.tex\n",
      "赋能13.tex\n",
      "赋能14.tex\n",
      "赋能15.tex\n",
      "赋能16.tex\n",
      "赋能17.tex\n",
      "赋能18.tex\n",
      "赋能19.tex\n",
      "赋能20.tex\n",
      "赋能21.tex\n",
      "赋能22.tex\n",
      "030600\n",
      "\n",
      "\n",
      "赋能23.tex\n",
      "赋能24.tex\n",
      "赋能25.tex\n",
      "赋能26.tex\n",
      "001748\n",
      "\n",
      "\n",
      "赋能27.tex\n",
      "003839\n",
      "\n",
      "\n",
      "赋能28.tex\n",
      "004537\n",
      "\n",
      "\n",
      "赋能29.tex\n",
      "010525\n",
      "\n",
      "\n",
      "赋能30.tex\n",
      "013307\n",
      "\n",
      "\n",
      "2017届上海春季高考.tex\n",
      "2018届上海春季高考.tex\n",
      "2019届上海春季高考.tex\n",
      "2020届上海春季高考.tex\n",
      "2021届上海春季高考.tex\n",
      "2022届上海春季高考.tex\n",
      "2023届上海春季高考.tex\n",
      "2023届嘉定区一模.tex\n",
      "2023届奉贤区一模.tex\n",
      "2023届宝山区一模.tex\n",
      "2023届崇明区一模.tex\n",
      "2023届徐汇区一模.tex\n",
      "2023届普陀区一模.tex\n",
      "2023届杨浦区一模.tex\n",
      "2023届松江区一模.tex\n",
      "2023届浦东新区一模.tex\n",
      "2023届虹口区一模.tex\n",
      "2023届金山区一模.tex\n",
      "2023届长宁区一模.tex\n",
      "2023届闵行区一模.tex\n",
      "2023届青浦区一模.tex\n",
      "2023届静安区一模.tex\n",
      "01_集合与逻辑.tex\n",
      "02_等式与不等式.tex\n",
      "03_幂指对函数.tex\n",
      "04_函数的概念与性质.tex\n",
      "05_函数综合.tex\n",
      "06_三角与解三角形.tex\n",
      "07_三角函数.tex\n",
      "08_平面向量与复数.tex\n",
      "09_立体几何综合.tex\n",
      "10_空间向量与应用.tex\n",
      "11_直线与圆.tex\n",
      "12_圆锥曲线.tex\n",
      "13_解析几何综合.tex\n",
      "14_等差数列和等比数列.tex\n",
      "15_数列综合.tex\n",
      "16_导数及其应用.tex\n",
      "17_计数原理与二项式定理.tex\n",
      "18_概率与统计.tex\n",
      "19_统计.tex\n",
      "高三下学期月考01.tex\n",
      "高三下学期测验01.tex\n",
      "高三下学期测验02.tex\n",
      "高三下学期测验03.tex\n",
      "高三下学期测验04.tex\n",
      "高三下学期测验05.tex\n",
      "高三下学期测验06.tex\n",
      "高三下学期周末卷01.tex\n",
      "高三下学期周末卷02.tex\n",
      "高三下学期周末卷03.tex\n",
      "高三下学期周末卷04.tex\n",
      "中档题.tex\n",
      "容易题.tex\n",
      "寒假作业反馈练习.tex\n",
      "较难题.tex\n",
      "一月新课作业.tex\n",
      "正态分布及成对数据测试.tex\n"
     ]
    }
   ],
   "source": [
    "import os,json,re\n",
    "\n",
    "#这里需要修改, 设定路径与选择文件\n",
    "directories = [r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\上学期测验卷\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\上学期周末卷\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\第一轮复习讲义\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\赋能\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\一模后春考前试卷备选\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\第二轮复习讲义\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\下学期测验卷\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\下学期周末卷\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\寒假作业\",\n",
    "r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\正态分布及成对数据新课\"\n",
    "]\n",
    "\n",
    "with open(\"../题库0.3/Problems.json\",\"r\",encoding = \"utf8\") as f:\n",
    "    jsondata = f.read()\n",
    "pro_dict = json.loads(jsondata)\n",
    "\n",
    "for directory in directories:\n",
    "    filelist = [f for f in os.listdir(directory) if \".tex\" in f]\n",
    "    for file in filelist:\n",
    "        print(file)\n",
    "        with open(os.path.join(directory,file),\"r\",encoding = \"utf8\") as f:\n",
    "            data = f.read()\n",
    "        idlist = re.findall(r\"\\(([\\d]{6})\\)\",data)\n",
    "        for id in idlist:\n",
    "            if pro_dict[id][\"ans\"].strip() == \"\":\n",
    "                print(id+\"\\n\\n\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "mathdept",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.15"
  },
  "orig_nbformat": 4,
  "vscode": {
   "interpreter": {
    "hash": "ff3c292c316ba85de6f1ad75f19c731e79d694e741b6f515ec18f14996fe48dc"
   }
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
